#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_9_0
RELENG_TAG=ad1331898364d91cdc59adfa1bd2eae14cd80583
CORE_TAG=894a282b7c35b58e7f32e3cbcc7333e29a8292b5
RUBY_TAG=c66961ab19a2026d7d60f734e2c8a9ab934881bd
SHELL_TAG=96005a49da8722e30da9f8f43d2a8518b9ecf89c
TCL_TAG=6cb8457d70f73d7eb625ffa14ced37af7b05fea4

mkdir -p $NAME-$TAG
pushd $NAME-$TAG

function dl() {
	if [ ! -f "$1-$2.tar.xz" ] ; then
		while ! wget http://git.eclipse.org/c/dltk/${1}.git/snapshot/${1}-${2}.tar.xz ; do
			sleep 1
		done
	fi
}

dl org.eclipse.dltk.releng $RELENG_TAG
tar xfs org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
mv org.eclipse.dltk.releng-$RELENG_TAG org.eclipse.dltk.releng

dl org.eclipse.dltk.core $CORE_TAG
tar xfs org.eclipse.dltk.core-$CORE_TAG.tar.xz
mv org.eclipse.dltk.core-$CORE_TAG org.eclipse.dltk.core

dl org.eclipse.dltk.ruby $RUBY_TAG
tar xfs org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
mv org.eclipse.dltk.ruby-$RUBY_TAG org.eclipse.dltk.ruby

dl org.eclipse.dltk.tcl $TCL_TAG
tar xfs org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
mv org.eclipse.dltk.tcl-$TCL_TAG org.eclipse.dltk.tcl

dl org.eclipse.dltk.sh $SHELL_TAG
tar xfs org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
mv org.eclipse.dltk.sh-$SHELL_TAG org.eclipse.dltk.sh

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
rm -f $NAME-$TAG.tar.xz $NAME-$TAG/*.tar.xz
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
rm -fr $NAME-$TAG
